<html devsite><head>
    <title>Nexus のセキュリティに関する公開情報 - 2015 年 9 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2015 年 9 月 9 日公開</em></p>

<p>Android のセキュリティに関する月例情報公開の一環として、Nexus 端末に対するセキュリティ アップデートを無線（OTA）アップデートで配信しました（ビルド LMY48M）。下記の問題に対する Nexus 端末のアップデートとソースコードのパッチは、Android オープンソース プロジェクト（AOSP）のソース レポジトリにもリリースされています。下記の問題のうち最も重大なのは、攻撃を受けた端末でリモートコードの実行が可能になる重大なセキュリティの脆弱性です。</p>

<p>Nexus ファームウェア イメージも <a href="https://developers.google.com/android/nexus/images">Google デベロッパー サイト</a>にリリースされています。LMY48M 以降のビルドで下記の問題に対処しています。パートナーには下記の問題について 2015 年 8 月 13 日までに通知済みです。</p>

<p>この新たに報告された問題によるユーザー端末の不正使用は検出されていません。例外は、既存の問題（CVE-2015-3636）です。<a href="/security/enhancements/index.html">Android セキュリティ プラットフォームの保護</a>と SafetyNet のようなサービスの保護について詳しくは、<a href="#mitigations">リスクの軽減</a>をご覧ください。こうした保護は、Android でセキュリティの脆弱性が悪用される可能性を減らします。</p>

<p>2 つの重要なセキュリティ アップデート（CVE-2015-3864 と CVE-2015-3686）の両方は、既に開示された脆弱性に対処します。今回のアップデートには新たに開示された重大なセキュリティの脆弱性はありません。<a href="/security/overview/updates-resources.html#severity">重大度の評価</a>は、攻撃対象の端末でその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。</p>

<p>ご利用の端末に上記のアップデートを適用することをすべてのユーザーにおすすめします。</p>

<h2 id="mitigations">リスクの軽減</h2>

<p>ここでは、<a href="/security/enhancements">Android セキュリティ プラットフォーム</a>の保護と SafetyNet のようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。</p>

<ul>
  <li>Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  </li><li> Android セキュリティ チームは、「アプリの確認」や SafetyNet によって脆弱性の悪用を積極的に監視しています。こうした機能は、有害なおそれのあるアプリがインストールされる前に警告します。端末のルート権限を取得するツールは、Google Play で禁止されています。Google Play 以外からアプリをインストールするユーザーを保護するため、「アプリの確認」はデフォルトで有効になっており、ルート権限を取得する既知のアプリについてユーザーに警告します。「アプリの確認」では、悪意のある既知のアプリで権限昇格の脆弱性が悪用されないように、そのようなアプリのインストールを見つけて阻止します。こうしたアプリがすでにインストールされている場合は、ユーザーに通知して、そのアプリの削除を試みます。
  </li><li> Google ハングアウトやメッセンジャーのアプリでは状況を判断し、メディアサーバーなどのプロセスに自動的にメディアを渡すことはありません。
</li></ul>

<h2 id="acknowledgements">謝辞</h2>

<p>調査にご協力くださった下記の皆様方に感謝いたします（敬称略）。</p>

<ul>
  <li> Exodus Intelligence の Jordan Gruskovnjak（@jgrusko）: CVE-2015-3864
  </li><li> Michał Bednarski: CVE-2015-3845
</li><li> Qihoo 360 Technology Co. Ltd の Guang Gong（@oldfresher）: CVE-2015-1528、CVE-2015-3849
</li><li> Brennan Lautner: CVE-2015-3863
</li><li> jgor（@indiecom）: CVE-2015-3860
  </li><li> Trend Micro Inc. の Wish Wu（@wish_wu）: CVE-2015-3861
</li></ul>

<h2 id="security_vulnerability_details">セキュリティの脆弱性の詳細</h2>

<p>この公開情報のセキュリティ脆弱性の各項目について、下記に詳細を説明します。問題の内容とその重大度の根拠について説明し、CVE、関連するバグ、重大度、影響を受けるバージョン、報告日を表にまとめています。該当する場合は、バグ ID の欄に、その問題に対処した AOSP での変更へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の AOSP リファレンスへのリンクを示します。</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">メディアサーバーでのリモートコード実行の脆弱性</h3>

<p>特別に細工されたメディア ファイルやデータのメディアサーバーでの処理中に、攻撃者がメディアサーバーの脆弱性を悪用して、メモリ破壊やリモートコード実行を行うおそれがあります。</p>

<p>影響を受ける機能はオペレーティング システムの中核部分として提供されており、複数のアプリにおいて、リモート コンテンツ（特に MMS やブラウザでのメディアの再生）によってこの脆弱性が攻撃されるおそれがあります。</p>

<p>メディアサーバーのサービスにおいてリモートでコードが実行されるおそれがあるため、この問題の重大度は「重大」と判断されています。メディアサーバーのサービスは音声や動画のストリームにアクセスできるほか、通常はサードパーティのアプリがアクセスできないような権限にアクセスできます。</p>

<p>この問題は既に報告されている CVE-2015-3824（ANDROID-20923261）と関連があります。最初のセキュリティ アップデートでは、最初に報告された問題の変形に対処できませんでした。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3864</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/6fe85f7e15203e48df2cc3e8e1c4bc6ad49dc968">ANDROID-23034759</a></td>
    <td>重大</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_privilege_vulnerability_in_kernel">カーネルでの権限昇格の脆弱性</h3>

<p>Linux カーネルが ping ソケットを処理する際に権限昇格の脆弱性があり、悪意のあるアプリがそのカーネル内で任意のコードを実行できるおそれがあります。</p>

<p>特権サービスでのコードの実行によってデバイスの保護が回避され、一部の端末では永久的な侵害につながる（システム パーティションの再適用が必要になる）おそれがあるため、この問題は「重大」と判断されています。</p>

<p>この問題は最初に 2015 年 5 月 1 日に公示されています。この脆弱性を不正使用して「ルート権限を取得する」ツールが複数あり、端末のファームウェアを変更するために端末の所有者が使用することがあります。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3636</td>
    <td><a href="https://github.com/torvalds/linux/commit/a134f083e79f">ANDROID-20770158</a></td>
    <td>重大</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_binder">Binder での権限昇格の脆弱性</h3>

<p>Binder に権限昇格の脆弱性があり、悪意のあるアプリが別のアプリのプロセス中に任意のコードを実行できるおそれがあります。</p>

<p>サードパーティのアプリがアクセスできない権限を悪意のあるアプリが取得できるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3845</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/e68cbc3e9e66df4231e70efa3e9c41abc12aea20">ANDROID-17312693</a></td>
    <td>高</td>
    <td>5.1 以下</td>
 </tr>
 <tr>
    <td>CVE-2015-1528</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/7dcd0ec9c91688cfa3f679804ba6e132f9811254">ANDROID-19334482</a> [<a href="https://android.googlesource.com/platform/system/core/+/e8c62fb484151f76ab88b1d5130f38de24ac8c14">2</a>]</td>
    <td>高</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_keystore">キーストアでの権限昇格の脆弱性</h3>

<p>キーストアに権限昇格の脆弱性があり、キーストアのサービス中に悪意のあるアプリが任意のコードを実行できるおそれがあります。ハードウェア式のキーも含めて、キーストアに含まれるキーが不正使用されるおそれがあります。</p>

<p>サードパーティのアプリがアクセスできない権限を取得できるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3863</td>
    <td><a href="https://android.googlesource.com/platform/system/security/+/bb9f4392c2f1b11be3acdc1737828274ff1ec55b">ANDROID-22802399</a></td>
    <td>高</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_region">Region での権限昇格の脆弱性</h3>

<p>Region に権限昇格の脆弱性があり、サービスへの不正なメッセージを作成することで、そのサービス中に悪意のあるアプリが任意のコードを実行できるおそれがあります。</p>

<p>サードパーティのアプリがアクセスできない権限を取得できるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3849</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/4cff1f49ff95d990d6c2614da5d5a23d02145885">ANDROID-20883006</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/1e72dc7a3074cd0b44d89afbf39bbf5000ef7cc3">2</a>]</td>
    <td>高</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_sms_enables_notification_bypass">SMS での権限昇格の脆弱性により通知の回避が可能になる</h3>

<p>Android が SMS メッセージを処理する方法に権限昇格の脆弱性があり、悪意のあるアプリが有料サービスの SMS 警告通知を回避する SMS メッセージを送信できるおそれがあります。</p>

<p>サードパーティのアプリがアクセスできない権限を取得できるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3858</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/df31d37d285dde9911b699837c351aed2320b586">ANDROID-22314646</a></td>
    <td>高</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_lockscreen">Lockscreen での権限昇格の脆弱性</h3>

<p>Lockscreen に権限昇格の脆弱性があり、悪意のあるユーザーが画面のクラッシュを引き起こしてロック画面を回避できるおそれがあります。この問題は、Android 5.0 と 5.1 のみの脆弱性として分類されます。同様の方法で 4.4 のロック画面からシステムのユーザー インターフェースをクラッシュさせることができますが、ホーム画面にはアクセスできず、復旧には端末を再起動する必要があります。</p>

<p>端末に物理的にアクセスできる人物が、端末の所有者の許可を得ずにサードパーティのアプリをインストールすることが可能になるため、この問題の重大度は「中」と判断されています。この脆弱性により、通常は「危険度の高い」権限で保護されている連絡先のデータ、通話ログ、SMS メッセージなどのデータを攻撃者が表示することが可能になります。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3860</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/8fba7e6931245a17215e0e740e78b45f6b66d590">ANDROID-22214934</a></td>
    <td>中</td>
    <td>5.1 と 5.0</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_mediaserver">メディアサーバーでのサービスの拒否の脆弱性</h3>

<p>メディアサーバーにサービスの拒否の脆弱性があり、ローカルな攻撃者が攻撃対象の端末へのアクセスを一時的にブロックできるおそれがあります。</p>

<p>この問題を悪用する悪意のあるアプリは、ユーザーがセーフモードで再起動して削除できるので、この問題の重大度は「低」と判断されています。ウェブや MMS を通じてリモートで不正なファイルをメディアサーバーに処理させるおそれもあります。この場合、メディアサーバーのプロセスはクラッシュしますが、端末は引き続き使用可能です。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>影響のあるバージョン</th>
 </tr>
 <tr>
    <td>CVE-2015-3861</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/304ef91624e12661e7e35c2c0c235da84a73e9c0">ANDROID-21296336</a></td>
    <td>低</td>
    <td>5.1 以下</td>
 </tr>
</tbody></table>

</body></html>